%define	_bindir	/bin

Summary: An enhanced version of csh, the C shell.
Name: tcsh
Version: 6.10
Release: 1
Copyright: distributable
Group: System Environment/Shells
Source: ftp://ftp.astron.com/pub/tcsh/tcsh-%{version}.tar.gz
Patch0: tcsh-6.07.09-utmp.patch
Patch1: tcsh-6.09.00-termios.patch
Patch2: tcsh-6.08.00-security.patch
Patch3: tcsh-6.08.00-pathmax.patch
Patch4: tcsh-6.09.00-strcoll.patch
Patch5: tcsh-6.09.00-locale.patch
Provides: csh = %{version}
Obsoletes: tcsh-rhcn
Prereq: fileutils grep
URL: http://www.primate.wisc.edu/software/csh-tcsh-book/
Buildroot: %{_tmppath}/%{name}-root

%description
Tcsh is an enhanced but completely compatible version of csh, the C
shell.  Tcsh is a command language interpreter which can be used both
as an interactive login shell and as a shell script command processor.
Tcsh includes a command line editor, programmable word completion,
spelling correction, a history mechanism, job control and a C language
like syntax.

%prep
%setup -q -n %{name}-%{version}.00
# %patch0 -p1 -b .getutent
%patch1 -p1 -b .termios
# %patch2 -p1 -b .security
# XXX not applied
# %patch3 -p1 -b .pathmax
# %patch4 -p1 -b .strcoll
%patch5 -p1 -b .locale

%build

%configure
make LIBES="-lnsl -ltermcap -lcrypt" all catalogs

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1 ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 -s tcsh ${RPM_BUILD_ROOT}%{_bindir}/tcsh
install -m 644 tcsh.man ${RPM_BUILD_ROOT}%{_mandir}/man1/tcsh.1
ln -sf tcsh ${RPM_BUILD_ROOT}%{_bindir}/csh
nroff -me eight-bit.me > eight-bit.txt

for i in de es fr gr_GR it ja_JP.eucJP
do
    mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/locale/$i/LC_MESSAGES
done
install -m 644 tcsh.german.cat ${RPM_BUILD_ROOT}%{_datadir}/locale/de/LC_MESSAGES/tcsh
install -m 644 tcsh.spanish.cat ${RPM_BUILD_ROOT}%{_datadir}/locale/es/LC_MESSAGES/tcsh
install -m 644 tcsh.french.cat ${RPM_BUILD_ROOT}%{_datadir}/locale/fr/LC_MESSAGES/tcsh
install -m 644 tcsh.greek.cat ${RPM_BUILD_ROOT}%{_datadir}/locale/gr_GR/LC_MESSAGES/tcsh
install -m 644 tcsh.italian.cat ${RPM_BUILD_ROOT}%{_datadir}/locale/it/LC_MESSAGES/tcsh
install -m 644 tcsh.ja.cat ${RPM_BUILD_ROOT}%{_datadir}/locale/ja_JP.eucJP/LC_MESSAGES/tcsh

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
if [ ! -f /etc/shells ]; then
    echo "%{_bindir}/tcsh" >> /etc/shells
    echo "%{_bindir}/csh" >> /etc/shells
else
    grep '^%{_bindir}/tcsh$' /etc/shells > /dev/null || echo "%{_bindir}/tcsh" >> /etc/shells
    grep '^%{_bindir}/csh$' /etc/shells > /dev/null || echo "%{_bindir}/csh" >> /etc/shells
fi

%postun
if [ ! -x %{_bindir}/tcsh ]; then
    grep -v '^%{_bindir}/tcsh$' /etc/shells | grep -v '^%{_bindir}/csh$'> /etc/shells.rpm
    mv /etc/shells.rpm /etc/shells
fi

%files
%defattr(-,root,root)
%doc NewThings FAQ eight-bit.txt complete.tcsh
%{_bindir}/tcsh
%{_bindir}/csh
%{_mandir}/man1/tcsh.*
%{_datadir}/locale/*/LC_MESSAGES/tcsh*

%changelog
* Mon Nov 20 2000 Ryan Weaver <ryanw@infohwy.com>
  [tcsh-6.10-1]
- Updated to version 6.10

